import axios from 'axios'
import MockAdapter from 'axios-mock-adapter'
import { MOCK_TOKEN, SUBSCRIPTION_CURRENT } from '.'
import { IS_DEV } from '../vite-env'

const init = () =>
{
    const mock = new MockAdapter(axios, { onNoMatch: "passthrough" })

    mock.onPost('/subscriptions/current').reply(200, SUBSCRIPTION_CURRENT)
    // mock.onGet('/user/passcode').reply(200, {
    //     passcode: "123456_new"
    // })

    mock.onPost('/auth/getToken').reply(200, { access_token: MOCK_TOKEN })
}

if (IS_DEV)
{
    init()
}
