import { TransactionsRepository } from './transactions';
import { UsersRepository } from './users';
import { SubscriptionsRepository } from './subscriptions';
import { ProductsRepository } from './products';
import { TariffPlansRepository } from './tariffPlan';

// Database Interface Extensions:
interface IExtensions {
    products: ProductsRepository
    subscriptions: SubscriptionsRepository
    tariffPlans: TariffPlansRepository
    transactions: TransactionsRepository
    users: UsersRepository
}

export {
    IExtensions,
    TransactionsRepository
};
